### Function

# Gimp enums_init

#### Declaration [src]

    void
    gimp_enums_init (
      void
    )

#### Description [src]

This function makes sure all the enum types are registered with the `GType` system. This is intended for use by language bindings that need the symbols early, before gimp_main is run. It’s not necessary for plug-ins to call this directly, because the normal plug-in initialization code will handle it implicitly.

Available since: | 2.4